//
//  SKLoggerWindowController.h
//  SyncKit3
//
//  Created by Stefan on 31.03.15.
//  Copyright (c) 2015 Media Atelier. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@class SKLogger;

@interface SKLoggerWindowController : NSWindowController

@property (nonatomic,weak) IBOutlet NSArrayController * arrayController;
@property (nonatomic,weak) IBOutlet NSTableView * tableView;
@property (nonatomic,weak) IBOutlet NSView * containerView;

@property (nonatomic,weak) IBOutlet NSScrollView * tableScrollView;
@property (nonatomic,weak) IBOutlet NSScrollView * textScrollView;
@property (nonatomic,weak) IBOutlet NSView * changesView;


@property (nonatomic,weak) IBOutlet NSArrayController * changesArrayController;
@property (nonatomic,assign) NSInteger mode;


@property (nonatomic,strong) SKLogger * logger;
@property (nonatomic,strong) NSArray * log;
@property (nonatomic,strong) NSString * info;
@property (nonatomic,strong) NSDate * changesDate;

-(void)scrollToEnd:(id)sender;
-(IBAction)segmentControlAction:(NSSegmentedControl *)sender;
-(IBAction)applyAgain:(id)sender;

@end
